OpenShot Audio Library | OpenShotAudio: juce::SynthesiserSound Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
juce::SynthesiserSound Class Referenceabstract

`#include <juce_Synthesiser.h>`

Inheritance diagram for juce::SynthesiserSound:

## Public Types
using | Ptr = ReferenceCountedObjectPtr<SynthesiserSound>

## Public Member Functions
| ~SynthesiserSound () override
virtual bool | appliesToNote (int midiNoteNumber)=0
virtual bool | appliesToChannel (int midiChannel)=0
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
void | decReferenceCount () noexcept
bool | decReferenceCountWithoutDeleting () noexcept
int | getReferenceCount () const noexcept

## Additional Inherited Members
Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
virtual | ~ReferenceCountedObject ()
void | resetReferenceCount () noexcept

## Detailed Description

Describes one of the sounds that a Synthesiser can play.

A synthesiser can contain one or more sounds, and a sound can choose which midi notes and channels can trigger it.

The SynthesiserSound is a passive class that just describes what the sound is - the actual audio rendering for a sound is done by a SynthesiserVoice. This allows more than one SynthesiserVoice to play the same sound at the same time.

See also
  Synthesiser, SynthesiserVoice

Definition at line 41 of file juce_Synthesiser.h.

## Member Typedef Documentation

## ◆ Ptr

using juce::SynthesiserSound::Ptr = ReferenceCountedObjectPtr<SynthesiserSound>

The class is reference-counted, so this is a handy pointer class for it.

Definition at line 67 of file juce_Synthesiser.h.

## Constructor & Destructor Documentation

## ◆ SynthesiserSound()

juce::SynthesiserSound::SynthesiserSound | ( |  | ) |
| protected

Definition at line 26 of file juce_Synthesiser.cpp.

## ◆ ~SynthesiserSound()

juce::SynthesiserSound::~SynthesiserSound | ( |  | ) |
| override

Destructor.

Definition at line 27 of file juce_Synthesiser.cpp.

## Member Function Documentation

## ◆ appliesToChannel()

virtual bool juce::SynthesiserSound::appliesToChannel | ( | int | midiChannel | ) |
| pure virtual

Returns true if the sound should be triggered by midi events on a given channel.

The Synthesiser will use this information when deciding which sounds to trigger for a given note.

Implemented in juce::SamplerSound.

## ◆ appliesToNote()

virtual bool juce::SynthesiserSound::appliesToNote | ( | int | midiNoteNumber | ) |
| pure virtual

Returns true if this sound should be played when a given midi note is pressed.

The Synthesiser will use this information when deciding which sounds to trigger for a given note.

Implemented in juce::SamplerSound.

The documentation for this class was generated from the following files:

- juce_Synthesiser.h
- juce_Synthesiser.cpp